package com.xkrs.service;

import com.xkrs.model.vo.FileServerResultVo;

/**
 * 文件服务器接口
 * @author tajochen
 */
public interface FileServerService {

    /**
     * 获取文件统计信息
     * @return
     */
    FileServerResultVo getFileStat();

    /**
     * 删除文件
     * @param md5   信息摘要
     * @param path  路径
     * @return
     */
    FileServerResultVo deleteFile(String md5, String path);

    /**
     * 获取文件信息
     * @param md5   信息摘要
     * @param path  路径
     * @return
     */
    FileServerResultVo getFileInfo(String md5, String path);

    /**
     * 获取文件列表
     * @param dir 目录名
     * @return
     */
    FileServerResultVo getFileList(String dir);

    /**
     * 修复统计信息
     * @param date  要修复的日期，格式如：20190725
     * @return
     */
    FileServerResultVo getFileRepairStat(String date);

    /**
     * 同步失败修复
     * @param force 是否强行修复(0|1)
     * @return
     */
    FileServerResultVo getFileRepair(String force);
}
